varying vec3 NormVec;
varying vec3 LightVec;
varying vec3 PosVec;
const float exposure = 1.75;
const float e = 2.7182818284;

void main(void)
{
	 vec3 Color = vec3(1.0, 1.0, 1.0);
	 vec3 Sky = vec3(0.4, 0.5, 0.6);
	 vec3 Ground = vec3(0.1, 0.075, 0.02);
	 vec3 LightCol = 0.75*vec3(255.0/255.0, 247.0/255.0, 212.0/255.0);

	 vec3 Norm  = normalize(NormVec);
	 vec3 Light = normalize(LightVec);

	 float Diffuse = dot(Norm, Light);
	 float SkyAmount = max(dot(Norm, vec3(0.0, 1.0, 0.0))*0.5 + 0.5, 0.0);
	 vec3 Ambient = Sky*SkyAmount + Ground*(1.0-SkyAmount);
	LightCol = LightCol*max(Diffuse,0.0) + Ambient;

	gl_FragColor.x = 1.0 - pow(e, - (Color.x*LightCol.x)*exposure);
	gl_FragColor.y = 1.0 - pow(e, - (Color.y*LightCol.y)*exposure);
	gl_FragColor.z = 1.0 - pow(e, - (Color.z*LightCol.z)*exposure);
	gl_FragColor.w = 1.0;
	
	/*
	highp uint mydist;
	mydist = PosVec.z*4294967295/1000;
	gl_FragColor.x = (float)((mydist>>24)&0xFF)/255.0;
	gl_FragColor.y = (float)((mydist>>16)&0xFF)/255.0;
	gl_FragColor.z = (float)((mydist>>8)&0xFF)/255.0;
	gl_FragColor.w = (float)((mydist)&0xFF)/255.0;
	*/
} 
